﻿.text-bold {
    font-weight: bold;
}

#footer {
    /*background-color: #000;*/
    box-shadow: 0px 0px 20px 2px #eaeaea;
    bottom: 0;
    color: #9e9e9e;
    font-size: 12px;
    padding: 10px;
    /*position: fixed;*/
    text-align: center;
    width: 100%;
    z-index: 102;
}

    #footer .goto {
        display: block;
        text-decoration: none;
        cursor: pointer;
        margin-top: -8px;
        margin-right: 0px;
        margin-bottom: 0px;
        font-size: 16px;
        background-color: #111;
        opacity: 0.8;
        padding: 8px 12px;
        opacity: 0.4;
        filter: alpha(opacity = 40);
    }

        #footer .goto:hover {
            background: #4a8bc2;
            opacity: 1;
            transition-duration: 500ms;
            transition-property: width, background;
            transition-timing-function: ease;
            -webkit-transition-duration: 500ms;
            -webkit-transition-property: width, background;
            -webkit-transition-timing-function: ease;
        }

    #footer .goto {
        font-size: 14px;
        color: #fff;
        text-decoration: none;
        opacity: 1;
    }


.Loader {
    text-align: center;
    font-size: 85px;
}


.ShowItem {
    /*display: block;*/
    display: inline;
}

.HideItem {
    display: none !important;
}

/*.btn span {
    max-width: 0;
    -webkit-transition: max-width 1s;
    transition: max-width 1s;
    display: inline-block;
    vertical-align: top;
    white-space: nowrap;
    overflow: hidden;
}
*/
/*.btn:hover span {
    max-width: 7rem;
}*/


.grayColor {
    color: #8c8989;
}


.ml-10 {
    margin-left: 10px;
}

.mim-h-100 {
    min-height: 100% !important;
}

.treeview {
    overflow-y: scroll;
    max-height: 200px;
    min-height: 200px;
}

.tree, .tree ul {
    margin: 0 15px;
    padding: 0;
    list-style: none;
}

.multiple-col {
    -webkit-column-count: 3;
    -moz-column-count: 3;
    column-count: 3;
}

.tree ul {
    margin-left: 1em;
    position: relative
}

    .tree ul ul {
        margin-left: .5em
    }

    .tree ul:before {
        content: "";
        display: block;
        width: 0;
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        border-left: 1px solid
    }

.tree li {
    margin: 0;
    padding: 0;
    line-height: 2em;
    color: #369;
    font-weight: 700;
    position: relative;
    font-size: 12px;
}

/*.tree ul li:before {
    content: "";
    display: block;
    width: 10px;
    height: 0;
    border-top: 1px solid;
    margin-top: -1px;
    position: absolute;
    top: 1em;
    left: 0
}*/

.tree ul li:last-child:before {
    background: #fff;
    height: auto;
    top: 1em;
    bottom: 0
}

.indicator {
    margin-right: 5px;
}

.tree li a {
    text-decoration: none;
    color: #369;
}

.tree li button, .tree li button:active, .tree li button:focus {
    text-decoration: none;
    color: #369;
    border: none;
    background: transparent;
    margin: 0px 0px 0px 0px;
    padding: 0px 0px 0px 0px;
    outline: 0;
}



/* setup tooltips CSS */
/*.customTooltip {
    position: relative;*/
/*display: flex;*/
/*justify-content: center;
    align-items: center;*/
/*margin-right: 40px;*/
/*cursor: pointer;
    white-space: nowrap;
}*/

/* Style text tooltip */
/*.customTooltipText {
    color: #fff !important;
    background-color: #4b4b4b;
    position: absolute;
    bottom: 100%;
    padding: 5px;
    border-radius: 5px;
    font-size: 10px;
    opacity: 0;
    transition: all .5s;
    left: 5%;*/
/*z-index: 9999999999;*/
/*}

    .customTooltipText::after {
        content: '';
        border-width: 5px;
        border-style: solid;
        border-color: #4b4b4b transparent transparent transparent;
        position: absolute;
        top: 100%;
        left: 5%;
        margin-left: 5%;
    }*/
/* Hover text tooltip */
/*.customTooltip:hover .customTooltipText {
    opacity: 1;
    transform: translateY(-10px);
}*/

/*Style custom text tooltip*/
.customTooltip {
    /*display: block;*/
    position: relative;
    /*border-bottom: 1px dotted #666;*/
    text-align: left;
}

    .customTooltip h3 {
        margin-bottom: 3px !important;
        font-size: 16px !important;
    }

    .customTooltip .customTooltipText {
        min-width: 50px;
        max-width: 800px;
        top: -5px;
        left: 50%;
        transform: translate(-0%,-100%);
        padding: 5px 10px;
        color: #ffffff;
        background-color: #009cdc;
        font-weight: normal;
        font-size: 13px;
        border-radius: 8px;
        position: absolute;
        z-index: 99999999;
        box-sizing: border-box;
        box-shadow: 0 1px 8px rgba(0,0,0,0.5);
        display: none;
        text-wrap: auto;
    }

.customTooltipText-large {
    text-wrap: auto;
    min-width: 500px !important;
}

.customTooltip:hover .customTooltipText {
    display: block;
}

.customTooltip .customTooltipText i {
    position: absolute;
    top: 100%;
    left: 30%;
    margin-left: -15px;
    width: 30px;
    height: 15px;
    overflow: hidden;
}

    .customTooltip .customTooltipText i::after {
        content: '';
        position: absolute;
        width: 15px;
        height: 15px;
        left: 50%;
        transform: translate(-50%,-50%) rotate(45deg);
        background-color: #009cdc;
        box-shadow: 0 1px 8px rgba(0,0,0,0.5);
    }


/* NOTIFICATION */

.font30 {
    font-size: 30px;
}

.notification {
    /*background-color: #555;*/
    color: white;
    text-decoration: none;
    padding-left: 2px;
    padding-right: 2px;
    position: relative;
    display: inline-block;
    border-radius: 2px;
    margin: 2px;
}

    /* .notification:hover {
            background: red;
        }*/

    .notification .badge {
        position: absolute;
        top: 0px;
        right: 0px;
        padding: 2px;
        border-radius: 25%;
        background: #040404;
        color: #fff;
        font-weight: bold;
    }

/* TIMEPICKER CONTROL */
.timepicker .glyphicon-chevron-up {
    background-color: #eee;
    color: #000000 !important;
}

.timepicker .glyphicon-chevron-down {
    background-color: #eee;
    color: #000000 !important;
}

.timepicker .glyphicon-chevron-up:before {
    content: "\25B2";
    color: #000000 !important;
}

.timepicker .glyphicon-chevron-down:before {
    content: "\25BC";
    color: #000000 !important;
}



.error-border {
    padding: 1px;
    border: 1px solid #D93737 !important;
    outline: none;
}

.notification-card {
    max-height: 500px;
    overflow-x: hidden;
    overflow-y: scroll;
}


.font-15 {
    font-size: 15px !important;
}




.ui-autocomplete {
    background: #fff;
    border: 1px solid #ccc;
    margin-top: -1px;
    margin-left: 1px;
    padding: 5px 0;
    border-radius: 0 0 4px 4px;
    max-height: 90px;
    overflow-y: auto;
    z-index: 9999;
}

    .ui-autocomplete li {
        display: block;
        padding: 3px 15px;
    }

.menu-container {
    /*margin-top: 44px;
        margin-left: 103px;*/
    position: absolute;
    width: 320px;
    text-align: left;
}


.icon-indicator {
    font-size: 18px !important;
    float: left;
    margin-top: 2px;
}

.small-icon-indicator {
    font-size: 10px !important;
    font-style: italic;
    font-weight: bold;
    color: #4b4b4b;
}



/*========================================*/
.selected-items {
    display: block;
    margin-top: 5px;
    padding: 5px;
    background-color: #fcfcff;
    border: 1px solid #ccc;
    border-radius: 4px;
}

.selected-item {
    display: inline-block;
    margin-right: 5px;
    padding: 3px;
    color: #fff;
    background-color: #028ee1;
    border: 1px solid #028ee1;
    /* background-color: #e0e0e0;
        border: 1px solid #ccc;*/
    border-radius: 4px;
}

    .selected-item span.ui-icon {
        display: inline-block;
        margin-left: 5px;
        cursor: pointer;
    }

.ui-autocomplete-multiselect-item {
    display: inline-block;
    margin: 2px;
    padding: 5px;
    color: #fff;
    background-color: #509bc7;
    border: 1px solid #009efb;
    border-radius: 5px;
    cursor: pointer;
    font-size: 13px;
}

.ui-icon-close {
    background-position: -80px -126px !important;
}

.ui-autocomplete-multiselect-item span.ui-icon {
    display: inline-block;
    margin-left: 5px;
    cursor: pointer;
}

.ui-autocomplete-multiselect-item-Keywords {
    color: #512b58;
}

.ui-autocomplete-multiselect-item-Words {
    color: #009efb;
}

.ui-autocomplete-multiselect-item-ExactPhase {
    color: #ffbc34;
}

.ui-autocomplete-multiselect-item-in {
    color: #155724;
}

.ui-autocomplete-multiselect-item-out {
    color: #f62d51;
}

.ui-autocomplete-multiselect-item-included {
    display: inline-block;
    margin: 2px;
    padding: 3px;
    color: #155724;
    background-color: #d4edda;
    border: 1px solid #c3e6cb;
    border-radius: 5px;
    cursor: pointer;
    font-size: 11px;
}

.ui-autocomplete-multiselect-item-excluded {
    display: inline-block;
    margin: 2px;
    padding: 3px;
    color: #fff;
    background-color: #f62d51;
    border: 1px solid #dc3545;
    border-radius: 5px;
    cursor: pointer;
    font-size: 11px;
}

.ui-autocomplete-multiselect-item-1 {
    display: inline-block;
    margin: 2px;
    padding: 3px;
    color: #fff;
    background-color: #512b58;
    border: 1px solid #512b58;
    border-radius: 5px;
    cursor: pointer;
    font-size: 11px;
}

.ui-autocomplete-multiselect-item-2 {
    display: inline-block;
    margin: 2px;
    padding: 3px;
    color: #fff;
    background-color: #009efb;
    border: 1px solid #009efb;
    border-radius: 5px;
    cursor: pointer;
    font-size: 11px;
}

.ui-autocomplete-multiselect-item-3 {
    display: inline-block;
    margin: 2px;
    padding: 3px;
    color: #fff;
    background: #ffbc34;
    border: 1px solid #ffbc34;
    border-radius: 5px;
    cursor: pointer;
    font-size: 11px;
}

.custom-accordion-header {
    background: #eaeaea;
    font-family: 'Inter', sans-serif;
    color: #000;
    cursor: pointer;
    font-size: 14px;
    letter-spacing: .1em;
    transition: all .3s;
}

    .custom-accordion-header:hover {
        background-color: #fff;
    }


.toast-custom {
    width: 50% !important;
    opacity: 0.9 !important;
    /*background-color: rgba(0, 0, 0, 0.9) !important;*/ /* Darker background with less transparency */
    /*color: #fff !important;*/ /* Ensuring text is readable */
}

.toast-custom-confirmation {
    width: 50% !important;
    opacity: 0.9 !important;
    margin-top: 15% !important;
    /*background-color: rgba(0, 0, 0, 0.9) !important;*/ /* Darker background with less transparency */
    /*color: #fff !important;*/ /* Ensuring text is readable */
}



.widget-card:hover {
    border: 1px solid #dcdcdc;
}

.long-text {
    width: 200px;
    height: 50px;
    display: block;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.executive-transfer-box {
    position: fixed;
    z-index: 99999;
    bottom: 0;
    background: #fcfcff;
    /* background-color: #fff; */
    background-clip: border-box;
    border: 1px solid rgba(0, 0, 0, .125);
    width: 50% !important;
    left: 50%;
    transform: translateX(-50%);
}

.executive-transfer-box-header {
    background: #8AC7DB !important;
    color: #4b4b4b;
}

.select2-container {
    width: 100% !important;
}
    /* Make Select2 look like Bootstrap .form-control */
    .select2-container .select2-selection--single {
        height: 44px !important; /* same as .form-control */
        font-size: 13px !important;
        padding: .375rem .75rem;
        border-radius: 4px;
        font-weight: 400;
        line-height: 1.5;
        color: #495057;
        background-color: #fff;
        background-clip: padding-box !important;
        border: 1px solid #ced4da !important;
        border-radius: .25rem !important;
        transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
    }

.select2-container--default .select2-selection--single .select2-selection__rendered {
    line-height: 24px; /* vertically center text */
    color: #495057;
    font-size: 13px !important;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 40px !important;
    top: 1px;
    right: 6px;
    width: 25px;
    font-size: 13px !important;
}

.select2-container--open .select2-dropdown--below,
.select2-container--open .select2-dropdown--above {
    z-index: 999999
}

.select2-container--default .select2-selection--single .select2-selection__arrow b {
    border-color: #000 transparent transparent transparent !important;
    border-width: 6px 5px 0 5px !important;
}

.multiselect-item-div {
    border: 1px solid #aaa;
    border-radius: 4px;
    box-sizing: border-box;
    display: inline-block;
    margin-left: 2px;
    margin-top: 2px;
    padding-left: 23px;
    position: relative;
    max-width: 100%;
    overflow: hidden;
    text-overflow: ellipsis;
    vertical-align: bottom;
    white-space: nowrap;
    background: #eaeaea;
    font-family: 'Inter', sans-serif;
    color: #000;
    cursor: pointer;
    font-size: 12px;
    font-weight: 500;
    /*letter-spacing: .1em;*/
    transition: all .3s;
}

.multiselect-item-div-button {
    background-color: transparent;
    border: none;
    border-right: 1px solid #aaa;
    border-top-left-radius: 4px;
    border-bottom-left-radius: 4px;
    color: #999;
    cursor: pointer;
    font-size: 1em;
    font-weight: bold;
    padding: 0 4px;
    position: absolute;
    left: 0;
    top: 0;
    display: inline-block;
    cursor: pointer;
    margin-left: 4px !important;
    margin-top: 4px;
    height: 20px !important;
}


#toggle_btn {
    float: right !important;
}

.modal-dialog {
    max-width: 700px !important;
    margin: 1.75rem auto;
}
.modal-dialog-mid {
    max-width: 930px !important;
    margin: 1.75rem auto;
}


.disabled {
    background-color: #eee !important;
    color: #444 !important;
    cursor: not-allowed;
    pointer-events: none; /* Prevent click */
    opacity: 0.6;
    border: 1px solid #ced4da !important;
}


.missing-item {
    font-style: italic;
    font-size:12px;
    color:red;
}
    .missing-item::before {
        content: "(";
    }

    .missing-item::after {
        content: ")";
    }